Xampp 1.7.2 PHP von 5.3.0 auf 5.2.x downgraden

Irgendwelche Probleme mit XAMPP für Windows? Dann ist hier genau der richtige Ort um nachzufragen.

Xampp 1.7.2 PHP von 5.3.0 auf 5.2.x downgraden

Postby KTT73 » 07. September 2009 13:20

Hallo Apachefriends,

ich möchte gern das PHPBB_3.0.5 als Test Forum Local bei mir installieren. Leider kann dieses noch kein PHP 5.3.
Jetzt stellt sich mir die Frage wie ich in die aktuelle xampp Installation die letzte PHP Version (ich glaub 5.2.9) einfüge.

Bereits versucht habe ich einfach den php Ordner umzubenennen um einen neuen php Ordner mit der älteren Version zu erstellen, nur weigert sich hier Apache beharlich zu starten. Sicherlich kann man hier eine conf anpassen, nur welche?

Parallel habe ich auch versucht die ältere Xampp Version (1.7.1) zu installieren. Was soweit auch funktioniert. Hier kann ich dann das PHP_BB installieren. Die DB Tabellen werden auch erstellt. Wenn ich dann allerdings das Forum aufrufe (http://localhost/Forum) passiert nichts die Seite bleibt weiß. Manchmal kommt auch der Fehler das der Server wärend der Anfrage zurückgesetzt wird. Vll kann mir hier einer weiter helfen.

Gruß KTT73
KTT73
 
Posts: 4
Joined: 07. September 2009 13:10

Re: Xampp 1.7.2 PHP von 5.3.0 auf 5.2.x downgraden

Postby Nobbie » 07. September 2009 16:50

KTT73 wrote:ich möchte gern das PHPBB_3.0.5 als Test Forum Local bei mir installieren. Leider kann dieses noch kein PHP 5.3.


Das stimmt nicht, ich habe es soeben problemfrei unter PHP 5.3 installiert. Es läuft tadellos.
Nobbie
 
Posts: 8761
Joined: 09. March 2008 13:04

Re: Xampp 1.7.2 PHP von 5.3.0 auf 5.2.x downgraden

Postby KTT73 » 07. September 2009 16:55

Es ist auch ein PHPBB_3.0.5 mit einem Stämme Mod. Sprich es hat die Grundfunktionalität des PHPBB 3.0.5 ist aber in vielen Punkten an das Browsergame "Die Stämme" angepasst. Diese Anpassungen kolidieren mit der neuesten PHP Version.

Ansonsten gebe ich Dir Recht. Ein blanko PHPBB funktioniert tadellos, wie ich in zwischen auch ausprobiert habe.
KTT73
 
Posts: 4
Joined: 07. September 2009 13:10

Re: Xampp 1.7.2 PHP von 5.3.0 auf 5.2.x downgraden

Postby Nobbie » 07. September 2009 20:08

KTT73 wrote:Es ist auch ein PHPBB_3.0.5 mit einem Stämme Mod. Sprich es hat die Grundfunktionalität des PHPBB 3.0.5 ist aber in vielen Punkten an das Browsergame "Die Stämme" angepasst. Diese Anpassungen kolidieren mit der neuesten PHP Version.


Soll ich es mal versuchen? Ich wette, ich bekomme es ans Laufen. Was muss ich wo downloaden? Die Unterschiede zwischen PHP 5.2.x und 5.3 sind nach meiner Meinung nicht prohibitiv; es kommt diese oder jene Warnung, aber mehr auch nicht.

Also, war ist zu tun?
Nobbie
 
Posts: 8761
Joined: 09. March 2008 13:04

Re: Xampp 1.7.2 PHP von 5.3.0 auf 5.2.x downgraden

Postby KTT73 » 07. September 2009 20:33

http://www.dsphpbb.net/downloads.php?view=detail&df_id=5 da kannst du es downloaden.

Das nachfolgende ist aus dem Supportforum:

liegt anner php-version. vaschiedene sachen werden nicht mehr untersüttz
also wieder 5.2 installieren bis dsphpbb mit 5.3 läuft :P


Den kompletten Thread kannst hier nachlesen: http://www.dsphpbb.net/viewtopic.php?f=21&t=3646.
KTT73
 
Posts: 4
Joined: 07. September 2009 13:10

Re: Xampp 1.7.2 PHP von 5.3.0 auf 5.2.x downgraden

Postby Nobbie » 07. September 2009 21:28

KTT73 wrote:http://www.dsphpbb.net/downloads.php?view=detail&df_id=5 da kannst du es downloaden.


"Der Traffic für Downloads für Gäste von 0 B ist dieses Monat verbraucht worden. Warte bitte bis zum nächsten Monat oder frage einen Administrator."

Schade auch.

liegt anner php-version. vaschiedene sachen werden nicht mehr untersüttz
also wieder 5.2 installieren bis dsphpbb mit 5.3 läuft :P


Allein wenn ich schon den Sprachstil lese, weiß ich, dass da niemand schreibt, der von irgendwelchen Kenntnissen "belastet" ist. Es gibt keinen echten Grund, dass es nicht läuft - aber wenn ich es nicht downloaden kann, kann ich auch nicht helfen. Dann eben nicht.
Nobbie
 
Posts: 8761
Joined: 09. March 2008 13:04

Re: Xampp 1.7.2 PHP von 5.3.0 auf 5.2.x downgraden

Postby KTT73 » 07. September 2009 21:49

Habs auf meinen Server geladen. klick
KTT73
 
Posts: 4
Joined: 07. September 2009 13:10

Re: Xampp 1.7.2 PHP von 5.3.0 auf 5.2.x downgraden

Postby Altrea » 07. September 2009 23:34

Ändere Datei /install/install_install.php Zeile 1496:
Code: Select all
$_module = &new acp_modules();

in
Code: Select all
$_module = new acp_modules();


Ändere Datei /common.php Zeile 108:
Code: Select all
set_magic_quotes_runtime(0);

in
Code: Select all
@set_magic_quotes_runtime(0);


Ändere Datei /includes/functions.php Zeile 3753:
Code: Select all
$last_data_import = strftime("%d.%m.%y %H:%M:%S", $staemme_config['import_date']);

in
Code: Select all
$last_data_import = !is_string($staemme_config['import_date']) ? strftime("%d.%m.%y %H:%M:%S", $staemme_config['import_date']) : $staemme_config['import_date'];


Teste mal ob das schon reicht.
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 8286
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: Xampp 1.7.2 PHP von 5.3.0 auf 5.2.x downgraden

Postby Puri » 08. September 2009 12:24

Hallo,

ich habe das gleiche Problem mit CMS Made Simple. Seit dem Update auf die aktuelle XAMPP Version funktionieren einige Funktionen dort nicht mehr.
Gibts wirklich keine einfach Möglichkeit die PHP-Version im aktuellen XAMPP auszutauschen?

Danke und schöner Gruß
Puri
Puri
 
Posts: 1
Joined: 08. September 2009 12:22


Return to XAMPP für Windows

Who is online

Users browsing this forum: No registered users and 19 guests